Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Write_File Class Reference

This class is a factory for starting off asynchronous writes on a file. This class forwards all methods to its implementation class. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Write_File

[legend]
Collaboration diagram for ACE_Asynch_Write_File:

[legend]
List of all members.

## Public Methods
| ACE_Asynch_Write_File (void)
| A do nothing constructor.
virtual | ~ACE_Asynch_Write_File (void)
| Destructor.
int | open (ACE_Handler &handler, ACE_HANDLE handle = ACE_INVALID_HANDLE, const void *completion_key = 0, ACE_Proactor *proactor = 0)
int | write (ACE_Message_Block &message_block, u_long bytes_to_write, u_long offset = 0, u_long offset_high = 0, const void *act = 0, int priority = 0, int signal_number = ACE_SIGRTMIN)
ACE_Asynch_Write_File_Impl* | implementation (void) const
| Return the underlying implementation class.
## Protected Methods
void | implementation (ACE_Asynch_Write_File_Impl *implementation)
| Set the implementation.
## Protected Attributes
ACE_Asynch_Write_File_Impl* | implementation_
| Implementation object.

## Detailed Description

This class is a factory for starting off asynchronous writes on a file. This class forwards all methods to its implementation class.

Once <open> is called, multiple asynchronous <write>s can be started using this class. A ACE_Asynch_Write_File::Result will be passed back to the <handler> when the asynchronous writes completes through the callback. This class differs slightly from ACE_Asynch_Write_Stream as it allows the user to specify an offset for the write.

## Constructor & Destructor Documentation

ACE_Asynch_Write_File::ACE_Asynch_Write_File ( | void )

| A do nothing constructor.

ACE_Asynch_Write_File::~ACE_Asynch_Write_File ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void ACE_Asynch_Write_File::implementation ( | ACE_Asynch_Write_File_Impl * implementation )`[protected]`

| Set the implementation.

ACE_Asynch_Write_File_Impl * ACE_Asynch_Write_File::implementation ( | void ) const

| Return the underlying implementation class. Reimplemented from ACE_Asynch_Write_Stream.

int ACE_Asynch_Write_File::open ( | ACE_Handler & handler,
| ACE_HANDLE handle = ACE_INVALID_HANDLE,
| const void * completion_key = 0,
| ACE_Proactor * proactor = 0 )

| Initializes the factory with information which will be used with each asynchronous call. If (<handle> == ACE_INVALID_HANDLE), will be called on the <handler> to get the correct handle. Reimplemented from ACE_Asynch_Write_Stream.

int ACE_Asynch_Write_File::write ( | ACE_Message_Block & message_block,
| u_long bytes_to_write,
| u_long offset = 0,
| u_long offset_high = 0,
| const void * act = 0,
| int priority = 0,
| int signal_number = ACE_SIGRTMIN )

| This starts off an asynchronous write. Upto <bytes_to_write> will be written from the <message_block>, starting at the block's <rd_ptr>. The write will go to the file, starting <offset> bytes from the beginning of the file. Priority of the operation is specified by <priority>. On POSIX4-Unix, this is supported. Works like <nice> in Unix. Negative values are not allowed. 0 means priority of the operation same as the process priority. 1 means priority of the operation is one less than process. And so forth. On Win32, this is a no-op. <signal_number> is the POSIX4 real-time signal number to be used for the operation. <signal_number> ranges from ACE_SIGRTMIN to ACE_SIGRTMAX. This argument is a no-op on non-POSIX4 systems.

## Member Data Documentation

ACE_Asynch_Write_File_Impl * ACE_Asynch_Write_File::implementation_`[protected]`

| Implementation object. Reimplemented from ACE_Asynch_Write_Stream.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp